io.undertow.util

## Class SubstringMap.SubstringMatch<V>

- java.lang.Object
- - io.undertow.util.SubstringMap.SubstringMatch<V>

Enclosing class:
  SubstringMap<V>

    public static final class SubstringMap.SubstringMatch<V>
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SubstringMatch(String key, V value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getKey()`
`V` `getValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubstringMatch

    public SubstringMatch(String key,
                          V value)

### Method Detail

#### getKey

    public String getKey()

#### getValue

    public V getValue()